#Pos Notification
#Request Path
[POST] /api/pos/trans/notification#Parameter List
#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| transType | Integer | 1 | Yes | Transaction Type,current Type is Pay with Transfer, type PAY_WITH_TRANSFER is 1 |
| virtualAccount | String | 10 | Yes | The virtual NIP account number assigned by the bank to the merchant for payment collection |
| virtualAccountName | String | 100 | No | Merchant name registered by the bank in the NIP system |
| terminalId | String | 5-10 | No | TID registered by the acquiring bank POS |
| sourceBankCode | String | 1-10 | Yes | Sender's bank/MMO NIP System bank Code |
| sourceBankName | String | 100 | Yes | Sender's bank/MMO account number, 10-digital numbers |
| sourceAccountNo | String | 10 | Yes | Sender's bank/MMO account No |
| sourceAccountName | String | 100 | Yes | Sender's bank/MMO account Name |
| sessionId | String | 64 | Yes | The transaction voucher Session ID returned by the channel |
| amount | Long | 1-999999999 | Yes | Order Amount example:100099(Actual amount is NGN 1000.99) |
| transactionReference | String | 64 | Yes | Bank-side transaction reference number |
| transactionDateTime | Date | - | Yes | Transaction Date Time Example 1671950880000 |
| transactionStatus | Integer | 10 | Yes | Order status: 1-Success, 2-Fail, 3-Pending, 4-Close |
| transactionMessage | String | 10 | No | Transaction result description: unpaid, failed,complete etc... |
| narration | String | 200 | No | Sender's transaction Information Notes |
#Return Values
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| - | Boolean | - | Yes | true means the save is successful |
#Postman Request Example
#request
curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/pos/trans/notification' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 26f3fa607c85b59aa1ad20dc34774a34' \
--header 'Signature: oSCxDcjoNxgSFWy/Sh24ZtV1ms85yU07P4PKL3L4Ri1Bn6NI7LrgyOEVzS44zPJxQ8HLdpbH47ERCLOCbQpx66IDSQ8iSF/N5qpRaskRMzMrnirhnAb7Jli9Dq/4qCBqF7Of5l61vzkyTdRczS+c1OoQuTKDoVkLdJcpRnbrHdEbiZNy9BTmeE6c/WZI/+mllWR7dc6QK3R44HiCPY9UpHcQSkjngGYs4gyLXdIHEU9nRM+1isMmnckJL6jF+l120IS7eU3jgIV7bh06SE2hyL/V5yeX/L0Spw6H+DG0kPIY1v4BeDVXi23piPa9aiHgdXyWoF7WV71vEPI5f6LMCg==' \
--header 'Content-Type: application/json' \
--data '{
"transType": 1,
"virtualAccount": "8964239911",
"virtualAccountName": "test merchant",
"sourceBankCode": "000013",
"sourceBankName": "test bank",
"sourceAccountNo": "100861008",
"sourceAccountName": "test account name",
"sessionId": "test001",
"amount": "10000",
"transactionReference": "10131",
"transactionDateTime": 1671950880000,
"transactionStatus": 1,
"transactionMessage": "test msg",
"narration": "qqqq",
"requestTime": 1671950880000,
"version": "V2.0",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": true
}#Common Error Codes
#Business Error Codes
| Error Code | Error Description | Solution |
|---|---|---|
| PE | Invalid parameter | Check the request parameters and resend after making corrections |
| PX | Duplicate transaction in PalmPay. | Check transaction reference, confirm it is unique |